#ifndef VISITOR_H
#define VISITOR_H
class SceneGroup;
class Cube;
class Sphere;

class Visitor {
public:
    virtual void visit(SceneGroup &n) = 0;
    virtual void visit(Cube &s) = 0;
    virtual void visit(Sphere &s) = 0;
};
#endif // VISITOR_H
